Bug 65172 - XFree86 performs poorly on Trident 9660 (Cyber 9385) laptop
XFree86 performs poorly on Trident 9660 (Cyber 9385) laptop
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-19 02:34 EDT by Paul Gear
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-09 05:28:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/X11/XF86Config-4 (2.27 KB, text/plain)
2002-05-21 04:48 EDT, Paul Gear
no flags Details
/var/log/XFree86.0.log (28.87 KB, text/plain)
2002-05-21 04:52 EDT, Paul Gear
no flags Details
Diffs between XFree86.0.log on old and new versions of Trident driver (1.04 KB, text/plain)
2002-05-21 06:36 EDT, Paul Gear
no flags Details
Diff against original version of XFree86.0.log (7.58 KB, patch)
2002-05-25 02:54 EDT, Paul Gear
no flags Details | Diff
X configuration on 4.1.0 (7.06 KB, text/plain)
2002-05-26 00:48 EDT, Paul Gear
no flags Details
Output from 'trident' utility on XFree86 4.1.0 (15.72 KB, text/plain)
2002-05-26 00:51 EDT, Paul Gear
no flags Details
The output from the 'trident' utility seems to change each time. Here's another one. (15.72 KB, text/plain)
2002-05-26 00:52 EDT, Paul Gear
no flags Details
Ouput of 'trident' utility on XFree86 4.2.0 (16.43 KB, text/plain)
2002-05-26 00:55 EDT, Paul Gear
no flags Details
Output from 4.2.0 when using 'option "nommio" "on"' in XF86Config-4 (15.76 KB, text/plain)
2002-05-30 07:35 EDT, Paul Gear
no flags Details
Config on latest 4.2.0 driver from Alan's web page (2.31 KB, text/plain)
2002-05-31 08:20 EDT, Paul Gear
no flags Details
Matching log... (27.65 KB, text/plain)
2002-05-31 08:22 EDT, Paul Gear
no flags Details
Matching output from 'trident' utility (16.43 KB, text/plain)
2002-05-31 08:23 EDT, Paul Gear
no flags Details
Corrected version of log_d - with nommio on (15.77 KB, text/plain)
2002-05-31 21:08 EDT, Paul Gear
no flags Details
trident log using Alan's next driver (15.77 KB, text/plain)
2002-05-31 21:11 EDT, Paul Gear
no flags Details
Matching X server log (25.17 KB, text/plain)
2002-05-31 21:11 EDT, Paul Gear
no flags Details
Matching config (2.31 KB, text/plain)
2002-05-31 21:11 EDT, Paul Gear
no flags Details

  None (edit)
Description Paul Gear 2002-05-19 02:34:45 EDT
Description of Problem:
X display has incorrect colours (black shows up as white) unless ShadowFB option
is turned on, LCD screen flickers constantly, especially on grays.

Version-Release number of selected component (if applicable):
	XFree86-4.2.0-8
	XFree86-SVGA-3.3.6-44
   previous revisions on RH 7.2:
	XFree86-4.1.0-15
	XFree86-SVGA-3.3.6-42

How Reproducible:
Every time

Steps to Reproduce:
1. Upgrade from RH 7.2 to 7.3
2. Marvel at how smooth it was compared to previous upgrades and how few config
files were mangled.  :-)
3. Start X.
4. Tear hair out for 4 hrs trying to find the right option on the Trident driver
that will actually display black correctly (ShadowFB - was not needed under
previous version).  ;-(
5. Go cross-eyed looking at the flickering LCD.

Actual Results:
	I don't know if the video modes selected are wrong under the new version, but
the screen image is not nearly as stable as under RH 7.2.

Expected Results:
	Screen looks as good as under RH 7.2, or even better, as good as Windows 98. 
;-)

Additional Information:
	The Windows 98 driver has always worked perfectly, providing 32-bit colour. 
The previous XFree driver would only do 16-bit, but it was very stable and easy
on the eyes.  I've searched for info on the changes to the Trident driver at
XFree86.org, and i can't find anything significant to my problem.
Comment 1 Mike A. Harris 2002-05-20 19:23:40 EDT
I've Cc'd the Trident driver maintainer for comment.  Please attach your
X config file and log file in the mean time.
Comment 2 Alan Hourihane 2002-05-21 03:54:47 EDT
Can you pick up a new driver from http://www.xfree86.org/~alanh
and copy it to /usr/X11R6/lib/modules/drivers. Make sure you
backup the old one.

And try that.

Let us know.
Comment 3 Paul Gear 2002-05-21 04:48:52 EDT
Created attachment 58085 [details]
/etc/X11/XF86Config-4
Comment 4 Paul Gear 2002-05-21 04:52:44 EDT
Created attachment 58086 [details]
/var/log/XFree86.0.log
Comment 5 Paul Gear 2002-05-21 04:55:54 EDT
The XFree86.0.log is actually 43650 lines long.  All of the lines after those
supplied in the attachment are like the last line.  There are only 370 unique
lines.
Comment 6 Alan Hourihane 2002-05-21 05:19:34 EDT
Did you try the new driver ??
Comment 7 Paul Gear 2002-05-21 06:02:33 EDT
Yes.  I can't see any discernable difference.  How can i confirm that i am
actually using the new driver?  Do you want to see the log under the new driver?

I did some investigation on XFree86.org after i logged this bug, and i found
several hits where people reported that their Trident cards had varying problems
after upgrading to 4.2.0.  None of them seemed to have any resolutions posted.
Comment 8 Alan Hourihane 2002-05-21 06:24:24 EDT
Make sure you power down before trying again.

And yes - please send a log with the new driver.
Comment 9 Paul Gear 2002-05-21 06:33:59 EDT
Powered down and tried again - definitely no better.  Log follows.
Comment 10 Paul Gear 2002-05-21 06:36:39 EDT
Created attachment 58090 [details]
Diffs between XFree86.0.log on old and new versions of Trident driver
Comment 11 Alan Hourihane 2002-05-21 06:53:52 EDT
Your not running the new driver as it should come up with a different version
number.

Can you make sure it's installed in /usr/X11R6/lib/modules/drivers
Comment 12 Paul Gear 2002-05-21 07:03:49 EDT
Here is a listing from my drivers directory:

-rwxr-xr-x    1 root     root       123754 May 21 19:55
/usr/X11R6/lib/modules/drivers/trident_drv.o*
-rwxr-x---    1 root     root       118237 May 21 19:54
/usr/X11R6/lib/modules/drivers/trident_drv.o.old*

md5sums:

e5216fa31f3515e2cd6ccf2139279cab  /usr/X11R6/lib/modules/drivers/trident_drv.o
896087845ceba148694a850bfc6de6ac 
/usr/X11R6/lib/modules/drivers/trident_drv.o.old

Have i got the right file from your web page?  I can only see one
trident_drv.o.  The web server says this:

> HEAD /~alanh/trident_drv.o HTTP/1.0
> 
> HTTP/1.1 200 OK
> Date: Tue, 21 May 2002 11:02:09 GMT
> ...
> Last-Modified: Tue, 14 May 2002 21:41:50 GMT
> ...
> Content-Length: 123754
> ...

Looks OK...
Comment 13 Alan Hourihane 2002-05-21 07:21:41 EDT
Mmm,

I've just uploaded my latest. Try again now.
Comment 14 Paul Gear 2002-05-25 02:52:02 EDT
Tried the latest driver - still flickers badly, especially with grey colours. 
Diff against original XFree86.0.log follows.
Comment 15 Paul Gear 2002-05-25 02:54:03 EDT
Created attachment 58504 [details]
Diff against original version of XFree86.0.log
Comment 16 Paul Gear 2002-05-26 00:48:20 EDT
Created attachment 58584 [details]
X configuration on 4.1.0
Comment 17 Paul Gear 2002-05-26 00:51:26 EDT
Created attachment 58585 [details]
Output from 'trident' utility on XFree86 4.1.0
Comment 18 Paul Gear 2002-05-26 00:52:31 EDT
Created attachment 58586 [details]
The output from the 'trident' utility seems to change each time.  Here's another one.
Comment 19 Paul Gear 2002-05-26 00:55:03 EDT
Created attachment 58587 [details]
Ouput of 'trident' utility on XFree86 4.2.0
Comment 20 Paul Gear 2002-05-30 07:35:09 EDT
Created attachment 58964 [details]
Output from 4.2.0 when using 'option "nommio" "on"' in XF86Config-4
Comment 21 Paul Gear 2002-05-31 08:20:46 EDT
Created attachment 59067 [details]
Config on latest 4.2.0 driver from Alan's web page
Comment 22 Paul Gear 2002-05-31 08:22:23 EDT
Created attachment 59068 [details]
Matching log...
Comment 23 Paul Gear 2002-05-31 08:23:22 EDT
Created attachment 59069 [details]
Matching output from 'trident' utility
Comment 24 Paul Gear 2002-05-31 21:08:51 EDT
Created attachment 59190 [details]
Corrected version of log_d - with nommio on
Comment 25 Paul Gear 2002-05-31 21:11:02 EDT
Created attachment 59191 [details]
trident log using Alan's next driver
Comment 26 Paul Gear 2002-05-31 21:11:20 EDT
Created attachment 59192 [details]
Matching X server log
Comment 27 Paul Gear 2002-05-31 21:11:35 EDT
Created attachment 59193 [details]
Matching config
Comment 28 Mike A. Harris 2002-08-08 06:31:17 EDT
Does this problem still occur in rawhide XFree86 with the Limbo beta?
Comment 29 Paul Gear 2002-08-09 05:28:29 EDT
I have not used the latest beta, nor am in a position to do so now.  Alan has
provided me with an updated Trident driver (1.0.15).  If the beta contains this
version or later, i'm sure it will be fine.  Alan is actually still waiting on
me to try some different combinations of options in the XF86Config.
Comment 30 Mike A. Harris 2002-08-09 09:39:11 EDT
Ok cool.  Thanks.

Closing as RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.